"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/index.ts
var _debug2 = require('debug'); var _debug3 = _interopRequireDefault(_debug2);
var debug = _debug3.default.call(void 0, "vite-plugin-inspect");
function VitePluginPackageConfig() {
  const transformMap = {};
  const idMap = {};
  function hijackPlugin(plugin) {
    if (plugin.transform) {
      debug("hijack plugin transform", plugin.name);
      const _transform = plugin.transform;
      plugin.transform = async function(...args) {
        const code = args[0];
        const id = args[1];
        const _result = await _transform.apply(this, args);
        const result = typeof _result === "string" ? _result : _result == null ? void 0 : _result.code;
        if (result != null) {
          if (!transformMap[id])
            transformMap[id] = [{ result: code }];
          transformMap[id].push({ name: plugin.name, result });
        }
        return _result;
      };
    }
    if (plugin.load) {
      debug("hijack plugin load", plugin.name);
      const _load = plugin.load;
      plugin.load = async function(...args) {
        const id = args[0];
        const _result = await _load.apply(this, args);
        const result = typeof _result === "string" ? _result : _result == null ? void 0 : _result.code;
        if (result != null)
          transformMap[id] = [{ name: "__load__", result }];
        return _result;
      };
    }
    if (plugin.resolveId) {
      debug("hijack plugin resolveId", plugin.name);
      const _resolveId = plugin.resolveId;
      plugin.resolveId = async function(...args) {
        const id = args[0];
        const _result = await _resolveId.apply(this, args);
        const result = typeof _result === "object" ? _result == null ? void 0 : _result.id : _result;
        if (!id.startsWith("./") && result)
          idMap[id] = result;
        return _result;
      };
    }
  }
  return {
    name: "vite-plugin-inspect",
    apply: "serve",
    configResolved(config) {
      config.plugins.forEach(hijackPlugin);
    },
    configureServer(server) {
      server.middlewares.use("/__inspect", (req, res) => {
        res.write(JSON.stringify({ transformMap, idMap }, null, 2));
        res.end();
      });
    }
  };
}
var src_default = VitePluginPackageConfig;


exports.default = src_default;
